<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="/">
		<item>
			<title>
				<xsl:value-of select="videogioco/generalita/principale/nome"/>
			</title>
			<link/>
			<description>
				<xsl:value-of select="videogioco/generalita/ausiliaria/occhiello"/>
			</description>
			<genere>
				<xsl:apply-templates select="videogioco/generalita/principale/genere"/>
			</genere>
			<categoria>
				<xsl:apply-templates select="videogioco/generalita/principale/genere" mode="categoria"/>
			</categoria>
			<anno>
				<xsl:apply-templates select="videogioco/generalita/principale/datauscita"/>
			</anno>
			
			<xsl:if test="videogioco/generalita/ausiliaria/piattaforma/pc">
				<piattaforma>pc</piattaforma>
				
				<xsl:for-each select="videogioco/generalita/ausiliaria/piattaforma/pc">
					<architettura>
						<xsl:if test="@tipo and (@tipo != '')">
							<xsl:value-of select="@tipo"/>
						</xsl:if>
						<xsl:if test="not(@tipo) or (@tipo = '')">i386</xsl:if>
					</architettura>
				</xsl:for-each>
				
				<xsl:for-each select="videogioco/generalita/ausiliaria/piattaforma/pc/so">
					<so>
						<xsl:value-of select="@famiglia"/>
					</so>
				</xsl:for-each>
			</xsl:if>
			
			<xsl:if test="videogioco/generalita/ausiliaria/piattaforma/console">
				<piattaforma>console</piattaforma>
				
				<xsl:for-each select="videogioco/generalita/ausiliaria/piattaforma/console">
					<architettura>
						<xsl:value-of select="@tipo"/>
					</architettura>
				</xsl:for-each>
			</xsl:if>
		</item>
	</xsl:template>


	<xsl:template match="genere">
		<xsl:if test="azione">azione</xsl:if>
		<xsl:if test="sport">sport</xsl:if>
		<xsl:if test="avventura_grafica">avventura_grafica</xsl:if>
		<xsl:if test="simulazione">simulazione</xsl:if>
		<xsl:if test="strategia">strategia</xsl:if>
		<xsl:if test="puzzle">puzzle</xsl:if>
		<xsl:if test="platform">platform</xsl:if>
		<xsl:if test="rpg">rpg</xsl:if>
	</xsl:template>

	<xsl:template match="genere" mode="categoria">
		<xsl:if test="azione">
			<xsl:value-of select="azione/@cat"/>
		</xsl:if>
		<xsl:if test="sport">
			<xsl:value-of select="sport/@cat"/>
		</xsl:if>
		<xsl:if test="simulazione">
			<xsl:value-of select="simulazione/@cat"/>
		</xsl:if>
		<xsl:if test="strategia">
			<xsl:value-of select="strategia/@cat"/>
		</xsl:if>
		<xsl:if test="puzzle">
			<xsl:value-of select="puzzle/@cat"/>
		</xsl:if>
		<xsl:if test="rpg">
			<xsl:value-of select="rpg/@cat"/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="datauscita">
		<xsl:value-of select="@anno"/>
	</xsl:template>

</xsl:stylesheet>
